#!/bin/bash

echo "Get the notebook"
wget https://jeremyfix.github.io/2024_ml4oceans/ecostat.zip 
unzip ecostat.zip

cd 2025_ecostat
echo "Get the codebase"
wget https://jeremyfix.github.io/2024_ml4oceans/solution.zip
unzip solution.zip

echo "Setting up the data access with symbolic links"
ln -s /mounts/Datasets3/2024-2025-ChallengePlankton data

echo "Preparing the venv"
python3 -m venv venv
source venv/bin/activate
python -m pip install -e .

python -m pip install ipython

# for some reasons, otherwise hugging hub will fail loading
python -m pip install requests


# Install the required extensions
for extension in \
	ms-python.debugpy \
	ms-python.python \
	ms-python.vscode-pylance \
	ms-toolsai.jupyter \
	ms-toolsai.jupyter-keymap \
	ms-toolsai.jupyter-renderers \
	ms-toolsai.vscode-jupyter-cell-tags \
	ms-toolsai.vscode-jupyter-slideshow;
do
	code --install-extension $extension
done
